Skip to main content
GET
Python (SDK)

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Query Parameters

start_time
integer
required

Start time as Unix seconds, inclusive

end_time
integer | null

End time as Unix seconds, exclusive. Defaults to now.

bucket_width
enum<string>
default:1d

Time bucket width.

Available options:
1m,
1h,
1d
group_by
string[] | null

Repeat or comma-separate grouping dimensions.

all_orgs
boolean
default:false

Aggregate usage across all organizations (cluster admins only).

org_ids
string[] | null

Filter by organization IDs (cluster admins only, implies cluster scope).

Response

Successful Response

object
string
default:page
Allowed value: "page"
data
SandboxUsageBucket · object[]
has_more
boolean
default:false
next_page
string | null